package me.demon.market.Event;

import org.bukkit.entity.Player;
import org.bukkit.event.Event;
import org.bukkit.event.HandlerList;
import org.bukkit.inventory.ItemStack;

public class MarketTradeEvent extends Event {
    private static HandlerList handlers = new HandlerList();
    // 获取玩家
    private Player player;
    // 获取买下商品价格
    private int Money;
    // 获取买下商品物品
    private ItemStack items;

    @Override
    public HandlerList getHandlers() {
        return handlers;
    }
    public static HandlerList getHandlerList() {
        return handlers;
    }

    public MarketTradeEvent(Player player, int Money, ItemStack items) {
        this.player = player;
        this.Money = Money;
        this.items = items;
    }

    public Player getPlayer() {
        return player;
    }
    public int getMoney() {
        return Money;
    }
    public ItemStack getItems() {
        return items;
    }
}
